<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='Interval Example' :maxState="0")
  template(v-slot:description)
    h5 This is an Interval example
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Properties:]
      ul
        +prop("interval") tick interval in milliseconds (default: 1000)
        +prop("store") optional data store path

    div #[strong Computed:]
      ul
        +prop("count") received tick count (from the store or local)

    div #[strong Events:]
      ul
        +prop("tick") on interval tick

    div #[strong Slots:]
      ul
        +prop("default") default slot with "count" binding

  template(v-slot:code)
    template(v-pre).
      .row.justify-content-center
        BaseInterval(:interval='1000')
          template(v-slot='source')
            | Tick count: {{ source.count }}
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleCard",
  components: { Example }
};

</script>
